Create parameter group
Creates a new parameter group for a given product in the catalog.
post
Path parameters
productIdstringRequired
Body
namestringOptional
labelstringOptional
descriptionstring · nullableOptional
displayOrderinteger · int32Optional
defaultbooleanOptional
Responses
201
Created
application/json
idstringOptional
namestringOptional
revisioninteger · int32Optional
labelstringOptional
descriptionstring · nullableOptional
displayOrderinteger · int32Optional
defaultbooleanOptional
parameterCountinteger · int32Optional
400
Bad Request
application/json
403
Forbidden
application/json
500
Internal Server Error
post/public/v1/catalog/products/{productId}/parameter-groups
POST /public/v1/catalog/products/{productId}/parameter-groups HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: application/json
Accept: */*
Content-Length: 83
{
"name": "text",
"label": "text",
"description": "text",
"displayOrder": 1,
"default": true
}{
"id": "text",
"audit": {
"created": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
},
"$meta": {
"omitted": [
"text"
]
},
"name": "text",
"revision": 1,
"label": "text",
"description": "text",
"displayOrder": 1,
"default": true,
"parameterCount": 1,
"product": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1,
"externalIds": {
"operations": "text",
"defaultErpItem": "text"
},
"status": "text"
}
}Last updated
Was this helpful?